<template>
  <time class="cd-date">{{ date }}</time>
</template>

<script>
module.exports = {
  name: "current-date",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    records: {
      type: Array,
      required: false
    },
    language: {
      type: String,
      required: true
    },
    locale: {
      type: String,
      required: true
    },
    backendUrl: {
      type: String,
      required: true
    },
    sourcesConfigured: {
      type: Boolean,
      required: false
    }
  },
  data: function() {
    return {
      date: new Date().toLocaleDateString()
    };
  },
  computed: {
    timezone: function() {
      return this.$store.state.settings.system_timezone.attributes.value;
    }
  },
  methods: {
    time: function() {
      const now = new Date();
      this.date = now.toLocaleDateString(this.language, {
        ...this.currentSettings,
        timeZone: this.timezone
      });
    }
  },
  beforeMount: function() {
    this.time();
    this.$options.interval = setInterval(this.time, 1000);
  },
  beforeDestroy() {
    clearInterval(this.$options.interval);
  }
};
</script>
